/profiles
Retrieve a single profile matching the given profile ID.
GET /profiles
GET /profilesGet a single profile by ID.
Code Examples
curl --request GET \
--url https://api.lightcast.io/global-profiles/profiles/{profileId} \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"acquired_timestamp": "2000-11-28",
"city": "hefukfrhkf864324hBhdgjh=",
"city_name": "New York",
"company": "78943873",
"company_name": "General Consultancy",
"educations": [
{
"field_raw": null,
"grad_year": null,
"level_name": "Degree",
"level_raw": "Mba",
"school_id": "53uegdyed3",
"school_name": "University",
"school_raw": "university"
},
{
"field_raw": null,
"grad_year": "2005-02",
"level_name": "Degree",
"level_raw": "Btech",
"school_id": "5kgdyuewdg64",
"school_name": "University",
"school_raw": "university"
}
],
"id": "1234567871932",
"language": "en",
"last_updated": "2020-02-08",
"lot_career_area": "33",
"lot_career_area_name": "Science and Research",
"lot_occupation": "331312",
"lot_occupation_group": "3313",
"lot_occupation_group_name": "General Research",
"lot_occupation_name": "Researcher / Research Associate",
"lot_specialized_occupation": "33131215",
"lot_specialized_occupation_name": "Research Associate (General)",
"naics6": "123456",
"naics6_name": "Others",
"laa_country": "US",
"laa_country_name": "United States",
"laa_admin_area_1": "NY",
"laa_admin_area_1_name": "New York",
"laa_admin_area_2": "NYC",
"laa_admin_area_2_name": "New York City",
"laa_metro": "metro_001",
"laa_metro_name": "New York-Newark-Jersey City Metro",
"onet": "11-1111.00",
"onet_name": "unknown",
"personal_info": {
"emails": [
{
"address": "[email protected]",
"type": "business"
},
{
"address": "[email protected]",
"type": "business"
}
],
"employment_history": [
{
"company_name_raw": "Motors",
"description": "",
"job_end_ym": null,
"job_start_ym": "2024-03",
"title_raw": "Manager"
},
{
"company_name_raw": "Motors",
"description": "",
"job_end_ym": "2020-03",
"job_start_ym": "2018-08",
"title_raw": "Manager"
},
{
"company_name_raw": "Abcde Canada",
"description": "",
"job_end_ym": "2020-08",
"job_start_ym": "2013-01",
"title_raw": "Leader"
},
{
"company_name_raw": "Abcd",
"description": "",
"job_end_ym": "2006-12",
"job_start_ym": "2005-05",
"title_raw": "Executive"
},
{
"company_name_raw": "Learning",
"description": "",
"job_end_ym": "2009-08",
"job_start_ym": "2005-06",
"title_raw": "Administrative Support"
}
],
"job_description": "",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"names": [
"John Doe"
],
"phones": [],
"profile_urls": [
"linkedin.com/in/john-doe-12345678"
],
"title_raw": "Manager"
},
"skills": [
"AB1234567890CDEFG679",
"AB1234567890CDEFYGDV",
"AB1234567890CDEFGOKM",
"AB1234567890CDEFGOPI",
"AB1234567890CDEFGKLG",
"AB1234567890CDEFGMEP",
"AB1234567890CDEFGPRR",
"AB1234567890CDEFGRRR",
"AB1234567890CDEFGPOR",
"AB1234567890CDEFGEUI",
"AB1234567890CDEFGIOR"
],
"skills_name": [
"Service",
"Process",
"Management",
"Team Work",
"Leadership",
"Retention",
"Help Desk",
"Lead Management",
"Operate Management",
"Negotiation",
"Account Management"
],
"title": "AB3455900D80931234",
"title_name": "Managers",
"title_raw": "Manager"
}
}
